Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrecht Van Lommel <brechtvanlommel@gmail.com>2019-06-21 19:12:00 +0300
committerBrecht Van Lommel <brechtvanlommel@gmail.com>2019-06-22 00:37:40 +0300
commitc553b790fc781772e8fbfffb91e3bf062d3202d6 (patch)
treef3168bc8cd2c90a2a5dc9fb070e6065639c1460d /release/darwin
parentad4f5092ecaf919e415fec4ca62b0172293a2075 (diff)
macOS: rename blender.app to Blender.app
Using a capitalized app name fits the platform guidelines. Since macOS file systems are case insensitive by default this should not break scripts that assume lowercase.
Diffstat (limited to 'release/darwin')
-rw-r--r--release/darwin/Blender.app/Contents/Info.plist (renamed from release/darwin/blender.app/Contents/Info.plist)0
-rw-r--r--release/darwin/Blender.app/Contents/MacOS/blender (renamed from release/darwin/blender.app/Contents/MacOS/blender)0
-rw-r--r--release/darwin/Blender.app/Contents/PkgInfo (renamed from release/darwin/blender.app/Contents/PkgInfo)0
-rw-r--r--release/darwin/Blender.app/Contents/Resources/blender file icon.icns (renamed from release/darwin/blender.app/Contents/Resources/blender file icon.icns)bin284786 -> 284786 bytes
-rw-r--r--release/darwin/Blender.app/Contents/Resources/blender icon.icns (renamed from release/darwin/blender.app/Contents/Resources/blender icon.icns)bin273085 -> 273085 bytes
-rw-r--r--release/darwin/README.txt2
-rw-r--r--release/darwin/README_codesigning.txt8
-rwxr-xr-xrelease/darwin/bundle.sh16
8 files changed, 13 insertions, 13 deletions
diff --git a/release/darwin/blender.app/Contents/Info.plist b/release/darwin/Blender.app/Contents/Info.plist
index 9b09ef0f768..9b09ef0f768 100644
--- a/release/darwin/blender.app/Contents/Info.plist
+++ b/release/darwin/Blender.app/Contents/Info.plist
diff --git a/release/darwin/blender.app/Contents/MacOS/blender b/release/darwin/Blender.app/Contents/MacOS/blender
index 48cdce85287..48cdce85287 100644
--- a/release/darwin/blender.app/Contents/MacOS/blender
+++ b/release/darwin/Blender.app/Contents/MacOS/blender
diff --git a/release/darwin/blender.app/Contents/PkgInfo b/release/darwin/Blender.app/Contents/PkgInfo
index bd04210fb49..bd04210fb49 100644
--- a/release/darwin/blender.app/Contents/PkgInfo
+++ b/release/darwin/Blender.app/Contents/PkgInfo
diff --git a/release/darwin/blender.app/Contents/Resources/blender file icon.icns b/release/darwin/Blender.app/Contents/Resources/blender file icon.icns
index 2bf78d3eb0d..2bf78d3eb0d 100644
--- a/release/darwin/blender.app/Contents/Resources/blender file icon.icns
+++ b/release/darwin/Blender.app/Contents/Resources/blender file icon.icns
Binary files differ
diff --git a/release/darwin/blender.app/Contents/Resources/blender icon.icns b/release/darwin/Blender.app/Contents/Resources/blender icon.icns
index d0c373fca97..d0c373fca97 100644
--- a/release/darwin/blender.app/Contents/Resources/blender icon.icns
+++ b/release/darwin/Blender.app/Contents/Resources/blender icon.icns
Binary files differ
diff --git a/release/darwin/README.txt b/release/darwin/README.txt
index cb4c321f674..a1fce3caaf8 100644
--- a/release/darwin/README.txt
+++ b/release/darwin/README.txt
@@ -17,7 +17,7 @@ $ ./bundle.sh --source <sourcedir> --dmg <dmg> --bundle-id <bundleid> --username
where:
-<sourcedir> directory where built blender.app is
+<sourcedir> directory where built Blender.app is
<dmg> location and name of the final disk image
<bundleid> id on notarization, you choose (for example org.blender.release)
<username> your appleid
diff --git a/release/darwin/README_codesigning.txt b/release/darwin/README_codesigning.txt
index 3724ad1b0ac..34de5dc74a7 100644
--- a/release/darwin/README_codesigning.txt
+++ b/release/darwin/README_codesigning.txt
@@ -4,7 +4,7 @@ Updated as by august 01.2014 - removed deprecated rules and not recommended deep
1. You need to obtain the certificates for blender foundation, they can bw pulled at Apple developer account for BF
2. Run the following commands from terminal:
-codesign -s <IDENTITY> <path_to_blender.app>
+codesign -s <IDENTITY> <path_to_Blender.app>
codesign -s <IDENTITY> <path_to_blenderplayer.app>
@@ -12,12 +12,12 @@ codesign -s <IDENTITY> <path_to_blenderplayer.app>
3. Checking:
codesign -vv <path_to_blenderplayer.app>
-codesign -vv <path_to_blender.app>
+codesign -vv <path_to_Blender.app>
The result should be something like:
-<build_path>/blender.app: valid on disk
-<build_path>/blender.app: satisfies its Designated Requirement
+<build_path>/Blender.app: valid on disk
+<build_path>/Blender.app: satisfies its Designated Requirement
<build_path>/blenderplayer.app: valid on disk
<build_path>/blenderplayer.app: satisfies its Designated Requirement
diff --git a/release/darwin/bundle.sh b/release/darwin/bundle.sh
index b61238dc620..85084e07ee2 100755
--- a/release/darwin/bundle.sh
+++ b/release/darwin/bundle.sh
@@ -69,8 +69,8 @@ while [[ $# -gt 0 ]]; do
esac
done
-if [ ! -d "${SRC_DIR}/blender.app" ]; then
- echo "use --source parameter to set source directory where blender.app can be found"
+if [ ! -d "${SRC_DIR}/Blender.app" ]; then
+ echo "use --source parameter to set source directory where Blender.app can be found"
exit 1
fi
@@ -91,8 +91,8 @@ fi
# let's go.
-echo -n "Copying blender.app..."
-cp -r "${SRC_DIR}/blender.app" "${_tmpdir}/" || exit 1
+echo -n "Copying Blender.app..."
+cp -r "${SRC_DIR}/Blender.app" "${_tmpdir}/" || exit 1
echo
# Create the disk image
@@ -130,10 +130,10 @@ if [ ! -z "${C_CERT}" ]; then
# codesigning seems to be thingie. all libs and binaries need to be
# signed separately. todo: use some find magic to find those
echo -n "Codesigning..."
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app/Contents/Resources/2.80/python/bin/python3.7m"
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app/Contents/Resources/2.80/python/lib/python3.7/site-packages/libextern_draco.dylib"
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app/Contents/Resources/lib/libomp.dylib"
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app/Contents/Resources/2.80/python/bin/python3.7m"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app/Contents/Resources/2.80/python/lib/python3.7/site-packages/libextern_draco.dylib"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app/Contents/Resources/lib/libomp.dylib"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app"
echo
else
echo "No codesigning cert given, skipping..."